Index: Wrapping/Python/vtk/wx/wxVTKRenderWindowInteractor.py
===================================================================
RCS file: /vtk/cvsroot/VTK/Wrapping/Python/vtk/wx/wxVTKRenderWindowInteractor.py,v
retrieving revision 1.17
retrieving revision 1.19
diff -u -r1.17 -r1.19
--- Wrapping/Python/vtk/wx/wxVTKRenderWindowInteractor.py	6 Jun 2005 16:51:16 -0000	1.17
+++ Wrapping/Python/vtk/wx/wxVTKRenderWindowInteractor.py	23 Jun 2006 06:40:30 -0000	1.19
@@ -149,14 +149,15 @@
 
         # the enclosing frame must be shown under GTK or the windows
         #  don't connect together properly
-        l = []
-        p = parent
-        while p: # make a list of all parents
-            l.append(p)
-            p = p.GetParent()
-        l.reverse() # sort list into descending order
-        for p in l:
-            p.Show(1)
+        if wxPlatform != '__WXMSW__':
+            l = []
+            p = parent
+            while p: # make a list of all parents
+                l.append(p)
+                p = p.GetParent()
+            l.reverse() # sort list into descending order
+            for p in l:
+                p.Show(1)
 
         # code added by cpbotha to enable stereo correctly where the user
         # requests this; remember that the glXContext in this case is NOT
@@ -206,6 +207,9 @@
         # successfully been run (and set up the VTK/WX display links)
         self.__has_painted = False
 
+        # set when we have captured the mouse.
+        self._own_mouse = False
+        
     def BindEvents(self):
         # refresh window by doing a Render
         EVT_PAINT(self, self.OnPaint)
@@ -277,6 +281,10 @@
             # wx returns None on platforms where wxGetXDisplay is not relevant
             if d:
                 d = hex(d)
+                # On wxPython-2.6.3.2 and above there is no leading '0x'.
+                if not d.startswith('0x'):
+                    d = '0x' + d
+                
                 # we now have 0xdeadbeef
                 # VTK wants it as: _deadbeef_void_p (pre-SWIG-1.3 style)
                 d = '_%s_%s' % (d[2:], 'void_p')
@@ -371,6 +379,7 @@
 
         # save the button and capture mouse until the button is released
         if self._ActiveButton and WX_USE_X_CAPTURE:
+            self._own_mouse = True
             self.CaptureMouse()
 
         # allow wx event processing to continue
@@ -392,8 +401,9 @@
             self._Iren.MiddleButtonReleaseEvent()
 
         # if the ActiveButton is realeased, then release mouse capture
-        if self._ActiveButton and WX_USE_X_CAPTURE:
+        if self._own_mouse and self._ActiveButton and WX_USE_X_CAPTURE:
             self.ReleaseMouse()
+            self._own_mouse = False
 
         # event processing should continue
         event.Skip()
